org.richfaces.taglib

## Class HtmlToolTipTagHandler

- java.lang.Object
- - com.sun.facelets.tag.TagHandler
  - - com.sun.facelets.tag.MetaTagHandler
    - - com.sun.facelets.tag.jsf.ComponentHandler
      - - org.ajax4jsf.webapp.taglib.AjaxComponentHandler
        - - org.richfaces.taglib.ToolTipTagHandlerBase
          - - org.richfaces.taglib.HtmlToolTipTagHandler

- All Implemented Interfaces:
    com.sun.facelets.FaceletHandler

      public class HtmlToolTipTagHandler
      extends ToolTipTagHandlerBase

  Version:
    $Revision: 1.1.2.1 $ $Date: 2007/02/26 20:48:51 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    - ### Fields inherited from class com.sun.facelets.tag.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlToolTipTagHandler(com.sun.facelets.tag.jsf.ComponentConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.sun.facelets.tag.MetaRuleset` | `createMetaRuleset(java.lang.Class type)`

    - ### Methods inherited from class com.sun.facelets.tag.jsf.ComponentHandler

      `apply, applyNextHandler, createComponent, getFacetName, getId, onComponentCreated, onComponentPopulated`

    - ### Methods inherited from class com.sun.facelets.tag.MetaTagHandler

      `setAttributes`

    - ### Methods inherited from class com.sun.facelets.tag.TagHandler

      `findNextByType, getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlToolTipTagHandler

          public HtmlToolTipTagHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

  - ### Method Detail

    - #### createMetaRuleset

          protected com.sun.facelets.tag.MetaRuleset createMetaRuleset(java.lang.Class type)

      Overrides:
        `createMetaRuleset` in class `ToolTipTagHandlerBase`

Copyright © 2014. All Rights Reserved.